#
# spec file for package python-dataclasses
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python3-dataclasses
Version:        0.8
Release:        150400.3.2.1
Summary:        A backport of the dataclasses module for Python 3.6
License:        Apache-2.0
URL:            https://github.com/ericvsmith/dataclasses
Source:         https://files.pythonhosted.org/packages/source/d/dataclasses/dataclasses-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
BuildRequires:  python3-testsuite
BuildArch:      noarch

%description
This is an implementation of PEP 557, Data Classes. It is a backport for Python 3.6.

%prep
%setup -q -n dataclasses-%{version}

%build
%{python3_build}

%install
%{python3_install}
%fdupes %{buildroot}%{python3_sitelib}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} python3 test/test_dataclasses.py -v

%files
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/dataclasses.py
%{python3_sitelib}/__pycache__/dataclasses*
%{python3_sitelib}/dataclasses-%{version}*-info

%changelog
* Mon Aug  9 2021 mcepl@suse.com
- Adjust to work with SLE-15 python3 instead of the explicit python36
  (jsc#SLE-20021).
* Sat Dec  5 2020 code@bnavigator.de
- Update to version 0.8
  * Fix ClassVar in .replace()
- Reintroduce to Tumbleweed for python36 flavor
* Sun May 24 2020 tchvatal@suse.com
- Really enable the testing
* Thu May  7 2020 andythe_great@pm.me
- Enable test.
* Fri Apr 17 2020 tbechtold@suse.com
- Initial packaging (version 0.7)
